#pragma once

#include "CoreMinimal.h"
#include "CoreBaseUserWidget.h"
#include "CoreInboxCallToActionWidget.generated.h"

class UOverlay;
class UDBDImage;
class UDBDRichTextBlock;
class UCoreInputSwitcherWidget;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API UCoreInboxCallToActionWidget : public UCoreBaseUserWidget
{
	GENERATED_BODY()

protected:
	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UOverlay* QRCodeOverlay;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDImage* QRCodeIMG;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UOverlay* TextOverlay;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDRichTextBlock* TextRTB;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UCoreInputSwitcherWidget* RedirectInputSwitcher;

private:
	UFUNCTION(BlueprintCallable)
	void OnRedirectClicked();

public:
	UCoreInboxCallToActionWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreInboxCallToActionWidget) { return 0; }
